Bug 46625 - new port: audio/mp3gain (A tool to normalize the gain of mp3 files)
Summary: new port: audio/mp3gain (A tool to normalize the gain of mp3 files)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-30 03:50 UTC by corecode@corecode.ath.cx
Modified: 2003-01-20 07:08 UTC (History)
0 users

See Also:


Attachments
file.shar (3.49 KB, text/plain)
2002-12-30 03:50 UTC, corecode@corecode.ath.cx
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description corecode@corecode.ath.cx 2002-12-30 03:50:00 UTC
Tired of reaching for your volume knob every time your mp3 player changes to a
new song?  MP3Gain analyzes and adjusts mp3 files so that they have the same
volume.

MP3Gain does not just do peak normalization, as many normalizers do. Instead,
it does some statistical analysis to determine how loud the file actually
sounds to the human ear.  Also, the changes MP3Gain makes are completely
lossless. There is no quality lost in the change because the program adjusts
the mp3 file directly, without decoding and re-encoding.

WWW: http://www.geocities.com/mp3gain/

- Simon 'corecode' Schubert

	this is a new version and obsoletes PR ports/42440
Comment 1 Adam Weinberger 2003-01-19 01:19:05 UTC
On my 4.7-STABLE machine:

# Adam


root@smacky:/usr/ports/audio/mp3gain# make
>> mp3gain132_src.zip doesn't seem to exist in /usr/ports/distfiles/.
>> Attempting to fetch from http://www.mpex.net/software/mirror/.
Receiving mp3gain132_src.zip (90384 bytes): 100%
90384 bytes transferred in 2.9 seconds (30.05 kBps)
===>  Extracting for mp3gain-1.3.2
>> Checksum OK for mp3gain132_src.zip.
===>   mp3gain-1.3.2 depends on executable: unzip - found
===>  Patching for mp3gain-1.3.2
===>  Configuring for mp3gain-1.3.2
===>  Building for mp3gain-1.3.2
Warning: Object directory not changed from original
/usr/ports/audio/mp3gain/work
cd mpglibDBL && make libmpglibDBL.a
cc -O -pipe -march=pentiumpro -DNOANALYSIS  -c common.c -o common.o
cc -O -pipe -march=pentiumpro -DNOANALYSIS  -c dct64_i386.c -o
dct64_i386.o
cc -O -pipe -march=pentiumpro -DNOANALYSIS  -c decode_i386.c -o
decode_i386.o
cc -O -pipe -march=pentiumpro -DNOANALYSIS  -c interface.c -o
interface.o
cc -O -pipe -march=pentiumpro -DNOANALYSIS  -c layer3.c -o layer3.o
cc -O -pipe -march=pentiumpro -DNOANALYSIS  -c tabinit.c -o tabinit.o
building static mpglibDBL library
ranlib libmpglibDBL.a
ln -s mpglibDBL/libmpglibDBL.a libmpglibDBL.a
cc -O -pipe -march=pentiumpro    -c gain_analysis.c
cc -O -pipe -march=pentiumpro    -c mp3gain.c
In file included from mp3gain.c:53:
/usr/include/utime.h:40: syntax error before `time_t'
mp3gain.c: In function `fileTime':
mp3gain.c:529: structure has no member named `actime'
mp3gain.c:530: structure has no member named `modtime'
*** Error code 1

Stop in /usr/ports/audio/mp3gain/work.
*** Error code 1

Stop in /usr/ports/audio/mp3gain.
zsh: 18613 exit 1     make


--
Adam Weinberger
vectors.cx	>>	adam@vectors.cx
FreeBSD.org	<<	adamw@FreeBSD.ORG
Bayer Berkeley	>>	adam.weinberger.b@bayer.com
#vim:set ts=8: 8-char tabs prevent tooth decay.
Comment 2 corecode@corecode.ath.cx 2003-01-19 06:18:14 UTC
Lately Adam Weinberger told:

> On my 4.7-STABLE machine:
[...]
> In file included from mp3gain.c:53:
> /usr/include/utime.h:40: syntax error before `time_t'
> mp3gain.c: In function `fileTime':
> mp3gain.c:529: structure has no member named `actime'
> mp3gain.c:530: structure has no member named `modtime'
> *** Error code 1

pitty when -STABLE is not POSIX compliant...
please add this file: files/patch-mp3gain.c

--- mp3gain.c.orig	Sun Jan 19 07:16:02 2003
+++ mp3gain.c	Sun Jan 19 07:16:37 2003
@@ -50,6 +50,7 @@
 
 #ifndef WIN32
 #undef asWIN32DLL
+#include <sys/types.h>
 #include <utime.h>
 #endif /* WIN32 */

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Edwin Groothuis freebsd_committer 2003-01-20 07:08:33 UTC
State Changed
From-To: open->closed

Commited, thanks!